Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365010 - [Doc RFE]: Document client.io-threads option
Summary: [Doc RFE]: Document client.io-threads option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Laura Bailey
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1351549
TreeView+ depends on / blocked
 
Reported: 2016-08-08 11:09 UTC by Pranith Kumar K
Modified: 2017-03-24 01:09 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 01:09:29 UTC


Attachments (Terms of Use)

Description Pranith Kumar K 2016-08-08 11:09:42 UTC
Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 

We need to document the option client.io-threads which will be enabled by default in 3.2.0 release.

Command to enable/disable the feature:
gluster volume set <volname> client.io-threads on/off

Comment 12 Laura Bailey 2016-09-29 03:02:28 UTC
Comment 6 contains all changes for the 3.2 documentation; now waiting on repo creation to proceed with this bug.

Comment 16 Bipin Kunal 2016-10-20 06:44:16 UTC
Laura,

As it talks about threads, Can we even add few lines stating how many threads will be invoked if this is ON?

Is there a way to customize number of threads here?

Thanks,
Bipin

Comment 17 Laura Bailey 2016-10-20 06:49:42 UTC
Pranith, can you answer Bipin's questions?

Comment 18 Pranith Kumar K 2016-10-25 07:30:39 UTC
Laura, Bipin,
        By default it starts with 1 thread and the max it can go to is 16.

Pranith.

Comment 22 Pranith Kumar K 2016-11-08 16:17:47 UTC
Looks good to me.

Comment 32 Ravishankar N 2017-02-07 15:07:24 UTC
Looks okay to me.

Comment 34 SATHEESARAN 2017-02-08 06:28:09 UTC
Laura, 

The last column ( Default value ) is 'ON' for performance.client-io-threads.

Could that it be made more precise as :

'off' for Replicated and Distributed-Replicate volume types
'on' for rest of the volume types

I moving this bug to ASSIGNED for the above-said change

Comment 37 SATHEESARAN 2017-02-09 07:18:09 UTC
Verified with the content as available in the reference doc link

Comment 38 Laura Bailey 2017-03-24 01:09:29 UTC
Moving to CLOSED CURRENTRELEASE since RHGS 3.2 GA was yesterday. All documentation is available from https://access.redhat.com/documentation/en/red-hat-gluster-storage/.


Note You need to log in before you can comment on or make changes to this bug.